import { jsonError } from "../../../common.js";

export async function onRequest(context: RequestContext) {
  if (
    ![1 << 3, 1 << 4, 1 << 12].find(
      (int) => context.data.current_user?.permissions & int,
    )
  )
    return jsonError("Forbidden", 403);

  return await context.next();
}
